The BOOST_PP_LIST_REVERSE macro expands to the reverse a list.

#### Usage

BOOST_PP_LIST_REVERSE(list)

#### Arguments

list
  A list to be reversed.

#### Remarks

Previously, this macro could not be used inside BOOST_PP_WHILE. There is no longer any such restriction. It is more efficient, however, to use BOOST_PP_LIST_REVERSE_D in such a situation.

#### See Also

- BOOST_PP_LIST_REVERSE_D

#### Requirements

Header: <boost/preprocessor/list/reverse.hpp>

#### Sample Code

    #include <boost/preprocessor/list/reverse.hpp>

    #define LIST (0, (1, (2, (3, BOOST_PP_NIL))))

    BOOST_PP_LIST_REVERSE(LIST) // expands to (3, (2, (1, (0, BOOST_PP_NIL))))

© Copyright Housemarque Oy 2002 © Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)